org.apache.cxf.attachment

## Class LazyAttachmentCollection

- java.lang.Object
- - org.apache.cxf.attachment.LazyAttachmentCollection

- All Implemented Interfaces:
    Iterable<Attachment>, Collection<Attachment>

      public class LazyAttachmentCollection
      extends Object
      implements Collection<Attachment>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LazyAttachmentCollection(AttachmentDeserializer deserializer, int maxAttachmentCount)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(Attachment arg0)`
    `boolean` | `addAll(Collection<? extends Attachment> arg0)`
    `void` | `clear()`
    `boolean` | `contains(Object arg0)`
    `boolean` | `containsAll(Collection<?> arg0)`
    `Map<String,DataHandler>` | `createDataHandlerMap()`
    `List<Attachment>` | `getLoadedAttachments()`
    `boolean` | `hasNext()`
    `boolean` | `hasNext(boolean shouldLoadNew)` Check for more attachments by attempting to deserialize the next attachment.
    `boolean` | `isEmpty()`
    `Iterator<Attachment>` | `iterator()`
    `boolean` | `remove(Object arg0)`
    `boolean` | `removeAll(Collection<?> arg0)`
    `boolean` | `retainAll(Collection<?> arg0)`
    `int` | `size()`
    `Object[]` | `toArray()`
    `<T> T[]` | `toArray(T[] arg0)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `equals, hashCode, parallelStream, removeIf, spliterator, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Constructor Detail

    - #### LazyAttachmentCollection

          public LazyAttachmentCollection(AttachmentDeserializer deserializer,
                                          int maxAttachmentCount)

  - ### Method Detail

    - #### getLoadedAttachments

          public List<Attachment> getLoadedAttachments()

    - #### hasNext

          public boolean hasNext(boolean shouldLoadNew)
                          throws IOException

      Check for more attachments by attempting to deserialize the next attachment.
      Parameters:
        `shouldLoadNew` - if false, the "loaded attachments" List will not be changed.
      Returns:
        there is more attachment or not
      Throws:
        `IOException`

    - #### hasNext

          public boolean hasNext()
                          throws IOException

      Throws:
        `IOException`

    - #### iterator

          public Iterator<Attachment> iterator()

      Specified by:
        `iterator` in interface `Iterable<Attachment>`
      Specified by:
        `iterator` in interface `Collection<Attachment>`

    - #### size

          public int size()

      Specified by:
        `size` in interface `Collection<Attachment>`

    - #### add

          public boolean add(Attachment arg0)

      Specified by:
        `add` in interface `Collection<Attachment>`

    - #### addAll

          public boolean addAll(Collection<? extends Attachment> arg0)

      Specified by:
        `addAll` in interface `Collection<Attachment>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `Collection<Attachment>`

    - #### contains

          public boolean contains(Object arg0)

      Specified by:
        `contains` in interface `Collection<Attachment>`

    - #### containsAll

          public boolean containsAll(Collection<?> arg0)

      Specified by:
        `containsAll` in interface `Collection<Attachment>`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `Collection<Attachment>`

    - #### remove

          public boolean remove(Object arg0)

      Specified by:
        `remove` in interface `Collection<Attachment>`

    - #### removeAll

          public boolean removeAll(Collection<?> arg0)

      Specified by:
        `removeAll` in interface `Collection<Attachment>`

    - #### retainAll

          public boolean retainAll(Collection<?> arg0)

      Specified by:
        `retainAll` in interface `Collection<Attachment>`

    - #### toArray

          public Object[] toArray()

      Specified by:
        `toArray` in interface `Collection<Attachment>`

    - #### toArray

          public <T> T[] toArray(T[] arg0)

      Specified by:
        `toArray` in interface `Collection<Attachment>`

    - #### createDataHandlerMap

          public Map<String,DataHandler> createDataHandlerMap()

Apache CXF